<script setup lang="ts">
const artist = {
  name: 'Artist Name',
  tags: ['Electro'],
  albums: [{}, {}, {}, {}],
  cover: {
    urls: {
      original: 'https://images.unsplash.com/photo-1524650359799-842906ca1c06?ixlib=rb-1.2.1&dl=te-nguyen-Wt7XT1R6sjU-unsplash.jpg&w=640&q=80&fm=jpg&crop=entropy&cs=tinysrgb'
    }
  }
}
</script>

# Artist card

Artist cards are specialized cards that represent an artist in Funkwhale's interface. Pass an artist object to the `artist` prop to generate a card with the following:

- The artist's image
- The artist's name
- The artist's genre tags in [pills](../pill/index.md)
- The number of albums associated with the artist

| Prop     | Data type     | Required? | Description                         |
| -------- | ------------- | --------- | ----------------------------------- |
| `artist` | Artist object | Yes       | The artist represented by the card. |

The card includes a [play button](../button/play.md) that plays all of the artist's content and a [popover](../popover/index.md) containing other actions the user can perform.

```vue-html
<fw-artist-card :artist="artist" />
```

<fw-artist-card :artist="artist" />
