import { fileURLToPath, URL } from 'url'
import { defineConfig } from 'vite'

import viteConfig from '../vite.config'
import yaml from '@modyfi/vite-plugin-yaml'

export default defineConfig((config) => ({
  // @ts-expect-error UserConfigExport is not callable (only in theory)
  css: viteConfig(config).css,
  plugins: [yaml()],
  publicDir: false,
  resolve: {
    alias: {
      '~': fileURLToPath(new URL('../src', import.meta.url)),
      '/node_modules': fileURLToPath(new URL('../node_modules', import.meta.url))
    }
  }
}))
